Subject: bug#59087: 29.0.50; package-vc-update error

From: Philip Kaludercic <[email-masked]>
Date: Sat, 19 Nov 2022 07:28:59 +0000

Feng Shu <[email-masked]> writes:

> Maybe this issue is related package dependent, I have test like below:
>
> 1. before package-vc-install
>
> (find-library-name "popon") => "/home/feng/.emacs.d/elpa-29/popon-0.12/popon.el"
> (find-library-name "corfu-terminal") => "/home/feng/.emacs.d/elpa-29/corfu-terminal-0.5/corfu-terminal.el"

Ok.

> 2. package-vc-install popon
>
> (find-library-name "popon") => "/home/feng/.emacs.d/elpa-29/popon/popon.el"
> (find-library-name "corfu-terminal") => "/home/feng/.emacs.d/elpa-29/corfu-terminal-0.5/corfu-terminal.el"
>
> popon item is showed when run package-vc-update.

Makes sense, the "popon" directory has no version number.

> 3. package-vc-install corfu-terminal
>
> (find-library-name "popon") => "/home/feng/.emacs.d/elpa-29/popon/popon.el"
> (find-library-name "corfu-terminal") => "/home/feng/.emacs.d/elpa-29/corfu-terminal/corfu-terminal.el"
>
> package-vc-update only show corfu-terminal, and popon lost.
> corfu-terminal is depend on popon.

I'll try this out, but in the future it would be useful to see the
contents of the variable `package-alist'.  This is all related to that
value.

Feng Shu <[email-masked]> writes:

> After I install popon and corfu-terminal, and reboot emacs.
>
> package-update show nothing, but package-vc-update-all works, after
> package-vc-update-all finish, package-update will show popon and corfu-terminal.

Feng Shu <[email-masked]> writes:

> Philip Kaludercic <[email-masked]> writes:
>
> By the way, what does "Done updating packages." mean?
> Do it mean package has been updated or package is updating?

You mean the message printed out at the end of `package-vc-update-all'?
That means that all packages have /been/ updated.  I also just noticed,
that it is printed out unconditionally, even if no VC packages have been
updated (because non are installed).